####
# Example of what CKEditor can all bring
###

# Load default processing options
imports:
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }

# Add configuration for the editor
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  externalPlugins:
    abisignet:
      resource: "EXT:mrm_be/Resources/Public/CKeditor/Plugins/abisignet/"
    abiarrows:
      resource: "EXT:mrm_be/Resources/Public/CKeditor/Plugins/abiarrows/"
  config:
    defaultContentLanguage: "de"
    defaultLanguage: "de"
    contentsCss: "EXT:mrm_be/Resources/Public/Css/rte_contents_styles.css"
    stylesSet:
      - { name: 'Externe Linklist', element: 'ul', attributes: { 'class' : 'mrm-abi-content-linklist external-anchors-only' } }
      - { name: 'Anmerkung', element: 'p', attributes: { 'class' : 'notice' } }
      - { name: 'Skala-Überschrift', element: 'h3' }
      - { name: 'Eingerückter Text', element: 'p', attributes: { 'class' : 'left-padded-text' }}


    toolbarGroups:
      - { name: 'document', groups: [ 'mode', 'document', 'doctools' ] }
      - { name: 'clipboard', groups: [ 'clipboard', 'undo' ] }
      - { name: 'tools', groups: [ 'tools' ] }
      - { name: 'editing', groups: [ 'find', 'selection', 'spellchecker', 'editing' ] }
      - '/'
      - { name: 'forms', groups: [ 'forms' ] }
      - { name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] }
      - { name: 'paragraph', groups: [ 'list', 'indent', 'blocks', 'align', 'bidi', 'paragraph' ] }
      - { name: 'links', groups: [ 'links' ] }
      - { name: 'insert', groups: [ 'insert' ] }
      - { name: 'styles', groups: [ 'styles' ] }
      - { name: 'colors', groups: [ 'colors' ] }
      - { name: 'others', groups: [ 'others' ] }
      - { name: 'about', groups: [ 'about' ] }

    removeButtons:
      - Form
      - Checkbox
      - Radio
      - TextField
      - Textarea
      - Select
      - Button
      - ImageButton
      - HiddenField
      - Outdent
      - Indent
      - CreateDiv
      - Strike
      - Underline
      #- Styles
      - Format
      - Font
      - FontSize
      - TextColor
      - BGColor
      - About
      - HorizontalRule
      - JustifyLeft
      - JustifyCenter
      - JustifyRight
      - JustifyBlock
      - BidiRtl
      - BidiLtr
      - Language
      - Flash
      - Image
